FromJsonFct (apache-cassandra API)
Date: 2018-02-14

org.apache.cassandra.cql3.functions

## Class FromJsonFct

- java.lang.Object
- - org.apache.cassandra.cql3.functions.AbstractFunction
  - - org.apache.cassandra.cql3.functions.NativeFunction
    - - org.apache.cassandra.cql3.functions.NativeScalarFunction
      - - org.apache.cassandra.cql3.functions.FromJsonFct

- All Implemented Interfaces:
    AssignmentTestable, Function, ScalarFunction

      public class FromJsonFct
      extends NativeScalarFunction

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from interface org.apache.cassandra.cql3.AssignmentTestable

      `AssignmentTestable.TestResult`

  - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static FunctionName` | `NAME`

    - ### Fields inherited from class org.apache.cassandra.cql3.functions.AbstractFunction

      `argTypes, name, returnType`

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.nio.ByteBuffer` | `execute(ProtocolVersion protocolVersion, java.util.List<java.nio.ByteBuffer> parameters)` Applies this function to the specified parameter.
    `static FromJsonFct` | `getInstance(AbstractType<?> returnType)`

    - ### Methods inherited from class org.apache.cassandra.cql3.functions.NativeScalarFunction

      `isAggregate, isCalledOnNullInput`

    - ### Methods inherited from class org.apache.cassandra.cql3.functions.NativeFunction

      `isNative`

    - ### Methods inherited from class org.apache.cassandra.cql3.functions.AbstractFunction

      `addFunctionsTo, argTypes, columnName, equals, hashCode, hasReferenceTo, name, returnType, testAssignment, toString`

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

    - ### Methods inherited from interface org.apache.cassandra.cql3.functions.Function

      `addFunctionsTo, argTypes, columnName, hasReferenceTo, isNative, name, returnType`

    - ### Methods inherited from interface org.apache.cassandra.cql3.AssignmentTestable

      `testAssignment`

- - ### Field Detail

    - #### NAME

          public static final FunctionName NAME

  - ### Method Detail

    - #### getInstance

          public static FromJsonFct getInstance(AbstractType<?> returnType)

    - #### execute

          public java.nio.ByteBuffer execute(ProtocolVersion protocolVersion,
                                             java.util.List<java.nio.ByteBuffer> parameters)

      Description copied from interface: `ScalarFunction`
      Applies this function to the specified parameter.
      Parameters:
        `protocolVersion` - protocol version used for parameters and return value
        `parameters` - the input parameters
      Returns:
        the result of applying this function to the parameter

Copyright © 2018 The Apache Software Foundation